<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IdeaWorkspace (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IdeaWorkspace (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/JarDirectory.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" target="_top">Frames</a></li>
<li><a href="IdeaWorkspace.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.idea.model</div>
<h2 title="Class IdeaWorkspace" class="title">Class IdeaWorkspace</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.idea.model.IdeaWorkspace</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">IdeaWorkspace</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.
 <p>
 At the moment, the only practical way of manipulating the resulting content is via the withXml hook:

 <pre class='autoTested'>
 apply plugin: 'java'
 apply plugin: 'idea'

 idea.workspace.iws.withXml { provider -&gt;
     provider.asNode().appendNode('gradleRocks', 'true')
 }
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html#IdeaWorkspace()">IdeaWorkspace</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/api/XmlFileContentMerger.html" title="class in org.gradle.plugins.ide.api">XmlFileContentMerger</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html#getIws()">getIws</a></strong>()</code>
<div class="block">Enables advanced manipulation of the output XML.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html#iws(org.gradle.api.Action)">iws</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/api/XmlFileContentMerger.html" title="class in org.gradle.plugins.ide.api">XmlFileContentMerger</a>&gt;&nbsp;action)</code>
<div class="block">Enables advanced manipulation of the output XML.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html#iws(groovy.lang.Closure)">iws</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Enables advanced manipulation of the output XML.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html#mergeXmlWorkspace(org.gradle.plugins.ide.idea.model.Workspace)">mergeXmlWorkspace</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/Workspace.html" title="class in org.gradle.plugins.ide.idea.model">Workspace</a>&nbsp;xmlWorkspace)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html#setIws(org.gradle.plugins.ide.api.XmlFileContentMerger)">setIws</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/api/XmlFileContentMerger.html" title="class in org.gradle.plugins.ide.api">XmlFileContentMerger</a>&nbsp;iws)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="IdeaWorkspace()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IdeaWorkspace</h4>
<pre>public&nbsp;IdeaWorkspace()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getIws()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIws</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/api/XmlFileContentMerger.html" title="class in org.gradle.plugins.ide.api">XmlFileContentMerger</a>&nbsp;getIws()</pre>
<div class="block">Enables advanced manipulation of the output XML.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaWorkspace</code></a></div>
</li>
</ul>
<a name="setIws(org.gradle.plugins.ide.api.XmlFileContentMerger)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIws</h4>
<pre>public&nbsp;void&nbsp;setIws(<a href="../../../../../../org/gradle/plugins/ide/api/XmlFileContentMerger.html" title="class in org.gradle.plugins.ide.api">XmlFileContentMerger</a>&nbsp;iws)</pre>
</li>
</ul>
<a name="iws(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iws</h4>
<pre>public&nbsp;void&nbsp;iws(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Enables advanced manipulation of the output XML.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaWorkspace</code></a></div>
</li>
</ul>
<a name="iws(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iws</h4>
<pre>public&nbsp;void&nbsp;iws(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/api/XmlFileContentMerger.html" title="class in org.gradle.plugins.ide.api">XmlFileContentMerger</a>&gt;&nbsp;action)</pre>
<div class="block">Enables advanced manipulation of the output XML.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaWorkspace</code></a></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="mergeXmlWorkspace(org.gradle.plugins.ide.idea.model.Workspace)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mergeXmlWorkspace</h4>
<pre>public&nbsp;void&nbsp;mergeXmlWorkspace(<a href="../../../../../../org/gradle/plugins/ide/idea/model/Workspace.html" title="class in org.gradle.plugins.ide.idea.model">Workspace</a>&nbsp;xmlWorkspace)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/JarDirectory.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" target="_top">Frames</a></li>
<li><a href="IdeaWorkspace.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
